DCMTK - Bug #856

dcm2pdf sometimes creates corrupted pdf
Priority: Normal Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Application Estimated time: 0:00 hour

Target version:

Module: dcmdata Compiler:

Operating System:

Description

Dcm2pdf sometimes incorrectly removes the last byte of the pdf.

See dcm2pdf.cc line 315 and further:

315 /* strip pad byte at end of file, if there is one. The PDF format expects
316 * files to end with %%EOF followed by CR/LF. If the last character of the

317 * file is not a CR or LF, we assume it is a pad byte and remove it.
318 */

319 if (pdfDocument[len-1] != 10 && pdfDocument[len-1] != 13)
320 {

321 —--len;

322 }

Some pdf files do not end with a CR/LF character after the %%EOF marker.

When this is the case and there also is no pad byte, the code removes the 'F' character (from the %%EOF marker).

This topic is also addressed by DICOM CP 1851 (January 2019 voting packet).

Related issues:
Related to DCMTK - Conformance #877: Add support for CP-1851 (Add length of e... Closed

History

#1 - 2019-03-29 17:14 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #52cf5b48¢.

#2 - 2019-04-05 17:56 - Jorg Riesmeier

- Related to Conformance #877: Add support for CP-1851 (Add length of encapsulated document when not even) to encapsulate document

tools/classes added

#3 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
